Sophie

Sophie

distrib > Scientific%20Linux > 5x > x86_64 > by-pkgid > e62f51b3c9c4797a380d8e815dd2df0a > files > 11

dhcpv6-0.10-33.el5.src.rpm

--- dhcp-0.10/dhcp6s.sh.initscripts	2003-02-18 06:31:49.000000000 -0500
+++ dhcp-0.10/dhcp6s.sh	2004-08-27 13:47:46.575718000 -0400
@@ -4,7 +4,6 @@
 #              Protocol for IPv6.
 # processname: dhcp6s
 # config: /etc/dhcp6s.conf
-# config: /etc/server6_addr.conf
 # config: /etc/sysconfig/dhcp6s
 
 # Source function library.
@@ -23,10 +22,9 @@
 [ ${NETWORKING} = "no" ] && exit 0
 
 # Check that files exist
-[ -f /usr/local/sbin/dhcp6s ] || exit 0
+[ -f /usr/sbin/dhcp6s ] || exit 0
 [ -f /etc/dhcp6s.conf ] || exit 0
-[ -f /etc/server6_addr.conf ] || exit 0
-[ ${DHCP6SIF} = "" ] && exit 0
+if [ "x$DHCP6SIF" =  "x" ]; then logger -s -t "dhcp6s" -p "daemon.info" "Warning: dhcp6s listening on ALL interfaces - set DHCP6SIF in /etc/sysconfig/dhcp6s"; fi
 
 RETVAL=0
 prog="dhcp6s"
@@ -34,7 +32,7 @@
 start() {
 	# Start daemons.
 	echo -n $"Starting $prog: "
-	daemon /usr/local/sbin/dhcp6s -c /etc/dhcp6s.conf ${DHCP6SARGS} ${DHCP6SIF}
+	daemon /usr/sbin/dhcp6s -c /etc/dhcp6s.conf ${DHCP6SARGS} ${DHCP6SIF}
 	RETVAL=$?
 	echo
 	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/dhcp6s
--- dhcp-0.10/Makefile.in.initscripts	2004-03-04 18:31:24.000000000 -0500
+++ dhcp-0.10/Makefile.in	2004-08-27 13:47:46.633660000 -0400
@@ -91,12 +91,18 @@
 
 install::
 	$(INSTALL) -d $(DESTDIR)$(sbindir)
-	$(INSTALL_PROGRAM) -s -o bin -g bin $(TARGET) $(DESTDIR)$(sbindir)
+	$(INSTALL) -d $(DESTDIR)/sbin
+	$(INSTALL_PROGRAM) -s -o bin -g bin dhcp6s $(DESTDIR)$(sbindir)
+	$(INSTALL_PROGRAM) -s -o bin -g bin dhcp6c $(DESTDIR)/sbin
 	$(INSTALL) -d $(DESTDIR)$(mandir)/man8 $(DESTDIR)$(mandir)/man5
 	$(INSTALL_DATA) -o bin -g bin dhcp6c.8 $(DESTDIR)$(mandir)/man8/
 	$(INSTALL_DATA) -o bin -g bin dhcp6s.8 $(DESTDIR)$(mandir)/man8/
 	$(INSTALL_DATA) -o bin -g bin dhcp6c.conf.5 $(DESTDIR)$(mandir)/man5/
 	$(INSTALL_DATA) -o bin -g bin dhcp6s.conf.5 $(DESTDIR)$(mandir)/man5/
+	$(INSTALL) -d  $(DESTDIR)$(initdir)
+	$(INSTALL_PROGRAM) -o root -g root dhcp6s.sh $(DESTDIR)$(initdir)/dhcp6s
+	$(INSTALL) -d  $(DESTDIR)/etc/sysconfig
+	$(INSTALL_DATA) -o bin -g bin dhcp6s.sysconfig  $(DESTDIR)/etc/sysconfig/dhcp6s
 
 rh_install:: install
 	$(INSTALL) -d $(initdir)
--- dhcp-0.10/dhcp6s.sysconfig.initscripts	2003-02-18 06:31:49.000000000 -0500
+++ dhcp-0.10/dhcp6s.sysconfig	2004-08-27 13:49:18.490712000 -0400
@@ -1,4 +1,4 @@
 # specify the interface for dhcp6s
-DHCP6SIF=eth0
+DHCP6SIF=
 # Command line options here
 DHCP6CARGS=